Bug 202586 - xmlrpclib.Fault error after up2date registration
xmlrpclib.Fault error after up2date registration
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Brandon Perkins
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-15 07:54 EDT by Jourdain Casale
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-22 11:43:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jourdain Casale 2006-08-15 07:54:09 EDT
Description of problem:
When trying to run an initial up2date I am given this error

[root@cupid db]# up2date
An error has occurred:
xmlrpclib.Fault
See /var/log/up2date for more information

Version-Release number of selected component (if applicable):
Red Hat Update Agent v4.4.67-4
Linux version 2.6.9-34.ELsmp (bhcompile@hs20-bc1-1.build.redhat.com) (gcc 
version 3.4.5 20051201 (Red Hat 3.4.5-2)) #1 SMP Fri Feb 24 16:56:28 EST 2006


How reproducible:

After retrying I get this:
# up2date

Error Message:
    Service not enabled for system profile: "dev"
Error Class Code: 31
Error Class Info:
     This system does not have a valid entitlement for Red Hat Network.
     Please visit https://rhn.redhat.com/network/systems/entitlements.pxt
     or login at https://rhn.redhat.com, and from the "Systems" tab,
     select "System Entitlements" to enable RHN service for this system.
Explanation:
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

Additional info:
# cat /var/log/up2date
[Tue Aug 15 18:30:24 2006] up2date logging into up2date server
[Tue Aug 15 18:30:25 2006] up2date   File "/usr/sbin/up2date", line 1265, in ?
    sys.exit(main() or 0)
   File "/usr/sbin/up2date", line 749, in main
    if cfg['useRhn'] and not up2dateAuth.getLoginInfo():
   File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 161, in 
getLoginInfo
    login()
   File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 114, in login
    raise f
Comment 1 Red Hat Bugzilla 2007-04-11 21:06:18 EDT
User bnackash@redhat.com's account has been closed
Comment 2 Todd Sanders 2007-05-22 11:43:38 EDT
Please contact your local support respresentative.  It appears your system does
not have the appropriate entitlements.

Note You need to log in before you can comment on or make changes to this bug.